aboutsummaryrefslogtreecommitdiff
path: root/ci/before_script.sh
diff options
context:
space:
mode:
authorJames McCoy <jamessan@jamessan.com>2018-05-04 19:43:43 -0400
committerGitHub <noreply@github.com>2018-05-04 19:43:43 -0400
commitbcc9a74e480c91fbfa99caf04b1bc9d92c5651b0 (patch)
tree61df59cb1b9cebf5fa295a64e69e70bf6e66b420 /ci/before_script.sh
parent500931752565e0b535f4ce6013729df3febf1a56 (diff)
parentd5da357925dffb84c9c6c49fd6c1fbdf6508cb7f (diff)
downloadrneovim-bcc9a74e480c91fbfa99caf04b1bc9d92c5651b0.tar.gz
rneovim-bcc9a74e480c91fbfa99caf04b1bc9d92c5651b0.tar.bz2
rneovim-bcc9a74e480c91fbfa99caf04b1bc9d92c5651b0.zip
Merge pull request #8333 from jamessan/ccache
travis: Enable ccache
Diffstat (limited to 'ci/before_script.sh')
-rwxr-xr-xci/before_script.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/ci/before_script.sh b/ci/before_script.sh
index 445996a8df..49b4e068b5 100755
--- a/ci/before_script.sh
+++ b/ci/before_script.sh
@@ -20,6 +20,9 @@ if [[ -n "${LLVM_SYMBOLIZER}" ]] && [[ ! $(type -P "${LLVM_SYMBOLIZER}") ]]; the
exit 1
fi
+# Show ccache stats so we can compare in before_cache
+ccache -s 2>/dev/null || true
+
if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
# Adds user to a dummy group.
# That allows to test changing the group of the file by `os_fchown`.